Subject: fails at package configuration stage: unable to find libecl.so
From: René van Bevern <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Mon, 15 May 2006 21:54:01 +0200

Package: ecl
Version: 0.9h-20060322-1
Severity: important

Hello,

this is what I get on a fresh Sid system right after an "apt-get install ecl":

Richte ecl ein (0.9h-20060322-1) ...
/usr/lib/common-lisp/bin/ecl.sh loading and dumping clc.
/usr/lib/ecl/ecl-original: error while loading shared libraries: libecl.so: cannot open shared object file: No such file or directory

I noticed it while trying to build a backport of ecl. But I also get
that result trying installing the current package from unstable in an
unstable environment.

I have not looked further into it yet, sorry. I just remember it
worked a month ago or so. The following works:

------
rvb@marx:/usr/lib/ecl$ LD_LIBRARY_PATH=. ./ecl-original 
ECL (Embeddable Common-Lisp) 0.9h
Copyright (C) 1984 Taiichi Yuasa and Masami Hagiya
Copyright (C) 1993 Giuseppe Attardi
Copyright (C) 2000 Juan J. Garcia-Ripoll
ECL is free software, and you are welcome to redistribute it
under certain conditions; see file 'Copyright' for details.
Type :h for Help.  Broken at EVAL.
> 
------

So there doesn't seem to be a problem with loading the library in
general, it just isn't found.

Regards,
       René

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-amd64-k8-smp
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages ecl depends on:
ii  common-lisp-controller        5.13       This is a Common Lisp source and c
ii  gcc-4.1                       4.1.0-4    The GNU C compiler
ii  libc6                         2.3.6-7    GNU C Library: Shared libraries
ii  libgc-dev                     1:6.6-2    conservative garbage collector for
ii  libgcc1                       1:4.1.0-4  GCC support library
ii  libgmp3-dev                   4.2.dfsg-1 Multiprecision arithmetic library 
ii  libgmp3c2                     4.2.dfsg-1 Multiprecision arithmetic library
ii  libncurses5-dev               5.5-2      Developer's libraries and docs for

ecl recommends no packages.

-- no debconf information